--- /dev/null
+@echo off\r
+\r
+if "%1" == "did-copy" goto copied\r
+cd %~dp0\r
+rmdir /s /q %TEMP%\xonotic-rsync-updater\r
+mkdir %TEMP%\xonotic-rsync-updater\r
+for %%f in (*.exe *.dll *.bat) do copy /b %%f %TEMP%\xonotic-rsync-updater\\r
+%TEMP%\xonotic-rsync-updater\%~n0 did-copy\r
+exit\r
+\r
+:copied\r
+\r
+set buildtype=release\r
+if "%~n0" == "update-to-autobuild" set buildtype=autobuild\r
+\r
+set options=-Prtzil --executability --delete-after --delete-excluded --stats\r
+\r
+if exist Xonotic-low goto xonoticlow\r
+if exist Xonotic-high goto xonotichigh\r
+if exist ..\..\..\.git goto xonoticdatagit\r
+if exist ..\..\..\data goto xonoticdata\r
+goto xonotic\r
+:xonoticlow\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-low/\r
+ set target=Xonotic-low/\r
+ goto endxonotic\r
+:xonotichigh\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-high/\r
+ set target=Xonotic-high/\r
+ goto endxonotic\r
+:xonoticdatagit\r
+ echo NOTE: this is a git repository download. Using the regular update method.\r
+ ..\..\..\all update\r
+ goto end\r
+:xonoticdata\r
+ if exist ..\..\..\misc\tools\rsync-updater\rsync.exe goto xonoticdatarsync\r
+ echo FATAL: rsync not in misc\tools\rsync-updater. This update script cannot be used.\r
+ goto end\r
+:xonoticdatarsync\r
+ set PATH=misc\tools\rsync-updater;%PATH%\r
+ cd ..\..\..\r
+ if exist data\xonotic-rsync-data-low.pk3 goto xonoticdatalow\r
+ if exist data\xonotic-*-data-low.pk3 goto xonoticdatalowfuzzy\r
+ if exist data\xonotic-rsync-data-high.pk3 goto xonoticdatahigh\r
+ if exist data\xonotic-*-data-high.pk3 goto xonoticdatahighfuzzy\r
+ if exist data\xonotic-rsync-data.pk3 goto xonoticdatanormal\r
+ if exist data\xonotic-*-data.pk3 goto xonoticdatanormalfuzzy\r
+ echo FATAL: unrecognized Xonotic build. This update script cannot be used.\r
+ goto end\r
+:xonoticdatalow\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-low/\r
+ goto endxonoticdata\r
+:xonoticdatalowfuzzy\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-low/\r
+ set options=%options% -y\r
+ goto endxonoticdata\r
+:xonoticdatahigh\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-high/\r
+ goto endxonoticdata\r
+:xonoticdatahighfuzzy\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-high/\r
+ set options=%options% -y\r
+ goto endxonoticdata\r
+:xonoticdatanormal\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic/\r
+ goto endxonoticdata\r
+:xonoticdatanormalfuzzy\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic/\r
+ set options=%options% -y\r
+ goto endxonoticdata\r
+:endxonoticdata\r
+ set target=./\r
+ goto endxonotic\r
+:xonotic\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic/\r
+ set target=Xonotic/\r
+ goto endxonotic\r
+:endxonotic\r
+\r
+set excludes=\r
+if not "%XONOTIC_INCLUDE_ALL%" == "" goto endbit\r
+set excludes=%excludes% --exclude=/xonotic-linux*\r
+set excludes=%excludes% --exclude=/xonotic-osx-*\r
+set excludes=%excludes% --exclude=/Xonotic*.app\r
+set excludes=%excludes% --exclude=/fteqcc/fteqcc.linux*\r
+set excludes=%excludes% --exclude=/fteqcc/fteqcc.osx\r
+\r
+if "%ProgramFiles(x86)%" == "" goto bit32\r
+:bit64\r
+ if not "%XONOTIC_INCLUDE_32BIT%" == "" goto endbit\r
+ set excludes=%excludes% --exclude=/xonotic.exe\r
+ set excludes=%excludes% --exclude=/xonotic-sdl.exe\r
+ set excludes=%excludes% --exclude=/xonotic-dedicated.exe\r
+ set excludes=%excludes% --exclude=/fteqcc/fteqcc.exe\r
+ set excludes=%excludes% --exclude=/bin32\r
+ set excludes=%excludes% --exclude=/*.dll\r
+ goto endbit\r
+:bit32\r
+ set excludes=%excludes% --exclude=/xonotic-x64.exe\r
+ set excludes=%excludes% --exclude=/xonotic-x64-sdl.exe\r
+ set excludes=%excludes% --exclude=/xonotic-x64-dedicated.exe\r
+ set excludes=%excludes% --exclude=/fteqcc/fteqcc-x64.exe\r
+ set excludes=%excludes% --exclude=/bin64\r
+ goto endbit\r
+:endbit\r
+\r
+for %%f in (*.exe *.dll) do copy /b %%f %TEMP%\xonotic-rsync-updater\\r
+%TEMP%\xonotic-rsync-updater\rsync %options% %excludes% %url% %target%\r
+%TEMP%\xonotic-rsync-updater\chmod -R a+x %target%\r
+\r
+:end\r
+pause\r
+rmdir /s /q %TEMP%\xonotic-rsync-updater\r
--- /dev/null
+#!/bin/sh
+
+if [ -d "${0%/*}" ]; then
+ cd "${0%/*}"
+fi
+
+if ! which rsync >/dev/null; then
+ echo >&2 "FATAL: rsync not found, please install the rsync package"
+ exit 1
+fi
+
+case "${0##*/}" in
+ update-to-autobuild.sh)
+ buildtype=autobuild
+ ;;
+ *)
+ buildtype=release
+ ;;
+esac
+
+options="-Prtzil --executability --delete-after --delete-excluded --stats"
+
+if [ -d "Xonotic-low" ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-low/"
+ target="Xonotic-low/"
+elif [ -d "Xonotic-high" ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-high/"
+ target="Xonotic-high/"
+elif [ -d "../../../.git" ]; then
+ echo >&2 "NOTE: this is a git repository download. Using the regular update method."
+ exec ../../../all update
+elif [ -d "../../../data" ]; then
+ if [ -f ../../../data/xonotic-rsync-data-low.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-low/"
+ elif [ -f ../../../data/xonotic-*-data-low.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-low/"
+ options="$options -y" # use fuzzy matching because file names differ
+ elif [ -f ../../../data/xonotic-rsync-data-high.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-high/"
+ elif [ -f ../../../data/xonotic-*-data-high.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-high/"
+ options="$options -y" # use fuzzy matching because file names differ
+ elif [ -f ../../../data/xonotic-rsync-data.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic/"
+ elif [ -f ../../../data/xonotic-*-data.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic/"
+ options="$options -y" # use fuzzy matching because file names differ
+ else
+ echo >&2 "FATAL: unrecognized Xonotic build. This update script cannot be used."
+ exit 1
+ fi
+ target="../../.."
+else
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic/"
+ target="Xonotic/"
+fi
+
+excludes=
+if [ -z "$XONOTIC_INCLUDE_ALL" ]; then
+ excludes="$excludes --exclude=/*.exe"
+ excludes="$excludes --exclude=/fteqcc/*.exe"
+ excludes="$excludes --exclude=/bin32"
+ excludes="$excludes --exclude=/*.dll"
+ excludes="$excludes --exclude=/bin64"
+
+ case `uname`:`uname -m` in
+ Darwin:*)
+ excludes="$excludes --exclude=/xonotic-linux*"
+ excludes="$excludes --exclude=/fteqcc/fteqcc.linux*"
+ ;;
+ Linux:x86_64)
+ excludes="$excludes --exclude=/Xonotic*.app"
+ excludes="$excludes --exclude=/xonotic-osx-*"
+ excludes="$excludes --exclude=/fteqcc/fteqcc.osx"
+ if [ -z "$XONOTIC_INCLUDE_32BIT" ]; then
+ excludes="$excludes --exclude=/xonotic-linux32-*"
+ excludes="$excludes --exclude=/fteqcc/fteqcc.linux32"
+ fi
+ ;;
+ Linux:i?86)
+ excludes="$excludes --exclude=/Xonotic*.app"
+ excludes="$excludes --exclude=/xonotic-osx-*"
+ excludes="$excludes --exclude=/fteqcc/fteqcc.osx"
+ excludes="$excludes --exclude=/xonotic-linux64-*"
+ excludes="$excludes --exclude=/fteqcc/fteqcc.linux64"
+ ;;
+ *)
+ echo >&2 "WARNING: Could not detect architecture - downloading all architectures"
+ ;;
+ esac
+fi
+
+rsync $options $excludes "$url" "$target"
--- /dev/null
+@echo off\r
+\r
+if "%1" == "did-copy" goto copied\r
+cd %~dp0\r
+rmdir /s /q %TEMP%\xonotic-rsync-updater\r
+mkdir %TEMP%\xonotic-rsync-updater\r
+for %%f in (*.exe *.dll *.bat) do copy /b %%f %TEMP%\xonotic-rsync-updater\\r
+%TEMP%\xonotic-rsync-updater\%~n0 did-copy\r
+exit\r
+\r
+:copied\r
+\r
+set buildtype=release\r
+if "%~n0" == "update-to-autobuild" set buildtype=autobuild\r
+\r
+set options=-Prtzil --executability --delete-after --delete-excluded --stats\r
+\r
+if exist Xonotic-low goto xonoticlow\r
+if exist Xonotic-high goto xonotichigh\r
+if exist ..\..\..\.git goto xonoticdatagit\r
+if exist ..\..\..\data goto xonoticdata\r
+goto xonotic\r
+:xonoticlow\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-low/\r
+ set target=Xonotic-low/\r
+ goto endxonotic\r
+:xonotichigh\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-high/\r
+ set target=Xonotic-high/\r
+ goto endxonotic\r
+:xonoticdatagit\r
+ echo NOTE: this is a git repository download. Using the regular update method.\r
+ ..\..\..\all update\r
+ goto end\r
+:xonoticdata\r
+ if exist ..\..\..\misc\tools\rsync-updater\rsync.exe goto xonoticdatarsync\r
+ echo FATAL: rsync not in misc\tools\rsync-updater. This update script cannot be used.\r
+ goto end\r
+:xonoticdatarsync\r
+ set PATH=misc\tools\rsync-updater;%PATH%\r
+ cd ..\..\..\r
+ if exist data\xonotic-rsync-data-low.pk3 goto xonoticdatalow\r
+ if exist data\xonotic-*-data-low.pk3 goto xonoticdatalowfuzzy\r
+ if exist data\xonotic-rsync-data-high.pk3 goto xonoticdatahigh\r
+ if exist data\xonotic-*-data-high.pk3 goto xonoticdatahighfuzzy\r
+ if exist data\xonotic-rsync-data.pk3 goto xonoticdatanormal\r
+ if exist data\xonotic-*-data.pk3 goto xonoticdatanormalfuzzy\r
+ echo FATAL: unrecognized Xonotic build. This update script cannot be used.\r
+ goto end\r
+:xonoticdatalow\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-low/\r
+ goto endxonoticdata\r
+:xonoticdatalowfuzzy\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-low/\r
+ set options=%options% -y\r
+ goto endxonoticdata\r
+:xonoticdatahigh\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-high/\r
+ goto endxonoticdata\r
+:xonoticdatahighfuzzy\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic-high/\r
+ set options=%options% -y\r
+ goto endxonoticdata\r
+:xonoticdatanormal\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic/\r
+ goto endxonoticdata\r
+:xonoticdatanormalfuzzy\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic/\r
+ set options=%options% -y\r
+ goto endxonoticdata\r
+:endxonoticdata\r
+ set target=./\r
+ goto endxonotic\r
+:xonotic\r
+ set url=rsync://beta.xonotic.org/%buildtype%-Xonotic/\r
+ set target=Xonotic/\r
+ goto endxonotic\r
+:endxonotic\r
+\r
+set excludes=\r
+if not "%XONOTIC_INCLUDE_ALL%" == "" goto endbit\r
+set excludes=%excludes% --exclude=/xonotic-linux*\r
+set excludes=%excludes% --exclude=/xonotic-osx-*\r
+set excludes=%excludes% --exclude=/Xonotic*.app\r
+set excludes=%excludes% --exclude=/fteqcc/fteqcc.linux*\r
+set excludes=%excludes% --exclude=/fteqcc/fteqcc.osx\r
+\r
+if "%ProgramFiles(x86)%" == "" goto bit32\r
+:bit64\r
+ if not "%XONOTIC_INCLUDE_32BIT%" == "" goto endbit\r
+ set excludes=%excludes% --exclude=/xonotic.exe\r
+ set excludes=%excludes% --exclude=/xonotic-sdl.exe\r
+ set excludes=%excludes% --exclude=/xonotic-dedicated.exe\r
+ set excludes=%excludes% --exclude=/fteqcc/fteqcc.exe\r
+ set excludes=%excludes% --exclude=/bin32\r
+ set excludes=%excludes% --exclude=/*.dll\r
+ goto endbit\r
+:bit32\r
+ set excludes=%excludes% --exclude=/xonotic-x64.exe\r
+ set excludes=%excludes% --exclude=/xonotic-x64-sdl.exe\r
+ set excludes=%excludes% --exclude=/xonotic-x64-dedicated.exe\r
+ set excludes=%excludes% --exclude=/fteqcc/fteqcc-x64.exe\r
+ set excludes=%excludes% --exclude=/bin64\r
+ goto endbit\r
+:endbit\r
+\r
+for %%f in (*.exe *.dll) do copy /b %%f %TEMP%\xonotic-rsync-updater\\r
+%TEMP%\xonotic-rsync-updater\rsync %options% %excludes% %url% %target%\r
+%TEMP%\xonotic-rsync-updater\chmod -R a+x %target%\r
+\r
+:end\r
+pause\r
+rmdir /s /q %TEMP%\xonotic-rsync-updater\r
--- /dev/null
+#!/bin/sh
+
+if [ -d "${0%/*}" ]; then
+ cd "${0%/*}"
+fi
+
+if ! which rsync >/dev/null; then
+ echo >&2 "FATAL: rsync not found, please install the rsync package"
+ exit 1
+fi
+
+case "${0##*/}" in
+ update-to-autobuild.sh)
+ buildtype=autobuild
+ ;;
+ *)
+ buildtype=release
+ ;;
+esac
+
+options="-Prtzil --executability --delete-after --delete-excluded --stats"
+
+if [ -d "Xonotic-low" ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-low/"
+ target="Xonotic-low/"
+elif [ -d "Xonotic-high" ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-high/"
+ target="Xonotic-high/"
+elif [ -d "../../../.git" ]; then
+ echo >&2 "NOTE: this is a git repository download. Using the regular update method."
+ exec ../../../all update
+elif [ -d "../../../data" ]; then
+ if [ -f ../../../data/xonotic-rsync-data-low.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-low/"
+ elif [ -f ../../../data/xonotic-*-data-low.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-low/"
+ options="$options -y" # use fuzzy matching because file names differ
+ elif [ -f ../../../data/xonotic-rsync-data-high.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-high/"
+ elif [ -f ../../../data/xonotic-*-data-high.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic-high/"
+ options="$options -y" # use fuzzy matching because file names differ
+ elif [ -f ../../../data/xonotic-rsync-data.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic/"
+ elif [ -f ../../../data/xonotic-*-data.pk3 ]; then
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic/"
+ options="$options -y" # use fuzzy matching because file names differ
+ else
+ echo >&2 "FATAL: unrecognized Xonotic build. This update script cannot be used."
+ exit 1
+ fi
+ target="../../.."
+else
+ url="rsync://beta.xonotic.org/$buildtype-Xonotic/"
+ target="Xonotic/"
+fi
+
+excludes=
+if [ -z "$XONOTIC_INCLUDE_ALL" ]; then
+ excludes="$excludes --exclude=/*.exe"
+ excludes="$excludes --exclude=/fteqcc/*.exe"
+ excludes="$excludes --exclude=/bin32"
+ excludes="$excludes --exclude=/*.dll"
+ excludes="$excludes --exclude=/bin64"
+
+ case `uname`:`uname -m` in
+ Darwin:*)
+ excludes="$excludes --exclude=/xonotic-linux*"
+ excludes="$excludes --exclude=/fteqcc/fteqcc.linux*"
+ ;;
+ Linux:x86_64)
+ excludes="$excludes --exclude=/Xonotic*.app"
+ excludes="$excludes --exclude=/xonotic-osx-*"
+ excludes="$excludes --exclude=/fteqcc/fteqcc.osx"
+ if [ -z "$XONOTIC_INCLUDE_32BIT" ]; then
+ excludes="$excludes --exclude=/xonotic-linux32-*"
+ excludes="$excludes --exclude=/fteqcc/fteqcc.linux32"
+ fi
+ ;;
+ Linux:i?86)
+ excludes="$excludes --exclude=/Xonotic*.app"
+ excludes="$excludes --exclude=/xonotic-osx-*"
+ excludes="$excludes --exclude=/fteqcc/fteqcc.osx"
+ excludes="$excludes --exclude=/xonotic-linux64-*"
+ excludes="$excludes --exclude=/fteqcc/fteqcc.linux64"
+ ;;
+ *)
+ echo >&2 "WARNING: Could not detect architecture - downloading all architectures"
+ ;;
+ esac
+fi
+
+rsync $options $excludes "$url" "$target"
+++ /dev/null
-@echo off\r
-\r
-if "%1" == "did-copy" goto copied\r
-cd %~dp0\r
-rmdir /s /q %TEMP%\xonotic-rsync-updater\r
-mkdir %TEMP%\xonotic-rsync-updater\r
-for %%f in (*.exe *.dll *.bat) do copy /b %%f %TEMP%\xonotic-rsync-updater\\r
-%TEMP%\xonotic-rsync-updater\update-xonotic did-copy\r
-exit\r
-\r
-:copied\r
-set options=-Prtzil --executability --delete-after --delete-excluded --stats\r
-\r
-if exist Xonotic-low goto xonoticlow\r
-if exist Xonotic-high goto xonotichigh\r
-if exist ..\..\..\.git goto xonoticdatagit\r
-if exist ..\..\..\data goto xonoticdata\r
-goto xonotic\r
-:xonoticlow\r
- set url=rsync://beta.xonotic.org/autobuild-Xonotic-low/\r
- set target=Xonotic-low/\r
- goto endxonotic\r
-:xonotichigh\r
- set url=rsync://beta.xonotic.org/autobuild-Xonotic-high/\r
- set target=Xonotic-high/\r
- goto endxonotic\r
-:xonoticdatagit\r
- echo NOTE: this is a git repository download. Using the regular update method.\r
- ..\..\..\all update\r
- goto end\r
-:xonoticdata\r
- if exist ..\..\..\misc\tools\rsync-updater\rsync.exe goto xonoticdatarsync\r
- echo FATAL: rsync not in misc\tools\rsync-updater. This update script cannot be used.\r
- goto end\r
-:xonoticdatarsync\r
- set PATH=misc\tools\rsync-updater;%PATH%\r
- cd ..\..\..\r
- if exist data\xonotic-rsync-data-low.pk3 goto xonoticdatalow\r
- if exist data\xonotic-*-data-low.pk3 goto xonoticdatalowfuzzy\r
- if exist data\xonotic-rsync-data-high.pk3 goto xonoticdatahigh\r
- if exist data\xonotic-*-data-high.pk3 goto xonoticdatahighfuzzy\r
- if exist data\xonotic-rsync-data.pk3 goto xonoticdatanormal\r
- if exist data\xonotic-*-data.pk3 goto xonoticdatanormalfuzzy\r
- echo FATAL: unrecognized Xonotic build. This update script cannot be used.\r
- goto end\r
-:xonoticdatalow\r
- set url=rsync://beta.xonotic.org/autobuild-Xonotic-low/\r
- goto endxonoticdata\r
-:xonoticdatalowfuzzy\r
- set url=rsync://beta.xonotic.org/autobuild-Xonotic-low/\r
- set options=%options% -y\r
- goto endxonoticdata\r
-:xonoticdatahigh\r
- set url=rsync://beta.xonotic.org/autobuild-Xonotic-high/\r
- goto endxonoticdata\r
-:xonoticdatahighfuzzy\r
- set url=rsync://beta.xonotic.org/autobuild-Xonotic-high/\r
- set options=%options% -y\r
- goto endxonoticdata\r
-:xonoticdatanormal\r
- set url=rsync://beta.xonotic.org/autobuild-Xonotic/\r
- goto endxonoticdata\r
-:xonoticdatanormalfuzzy\r
- set url=rsync://beta.xonotic.org/autobuild-Xonotic/\r
- set options=%options% -y\r
- goto endxonoticdata\r
-:endxonoticdata\r
- set target=./\r
- goto endxonotic\r
-:xonotic\r
- set url=rsync://beta.xonotic.org/autobuild-Xonotic/\r
- set target=Xonotic/\r
- goto endxonotic\r
-:endxonotic\r
-\r
-set excludes=\r
-if not "%XONOTIC_INCLUDE_ALL%" == "" goto endbit\r
-set excludes=%excludes% --exclude=/xonotic-linux*\r
-set excludes=%excludes% --exclude=/xonotic-osx-*\r
-set excludes=%excludes% --exclude=/Xonotic*.app\r
-set excludes=%excludes% --exclude=/fteqcc/fteqcc.linux*\r
-set excludes=%excludes% --exclude=/fteqcc/fteqcc.osx\r
-\r
-if "%ProgramFiles(x86)%" == "" goto bit32\r
-:bit64\r
- if not "%XONOTIC_INCLUDE_32BIT%" == "" goto endbit\r
- set excludes=%excludes% --exclude=/xonotic.exe\r
- set excludes=%excludes% --exclude=/xonotic-sdl.exe\r
- set excludes=%excludes% --exclude=/xonotic-dedicated.exe\r
- set excludes=%excludes% --exclude=/fteqcc/fteqcc.exe\r
- set excludes=%excludes% --exclude=/bin32\r
- set excludes=%excludes% --exclude=/*.dll\r
- goto endbit\r
-:bit32\r
- set excludes=%excludes% --exclude=/xonotic-x64.exe\r
- set excludes=%excludes% --exclude=/xonotic-x64-sdl.exe\r
- set excludes=%excludes% --exclude=/xonotic-x64-dedicated.exe\r
- set excludes=%excludes% --exclude=/fteqcc/fteqcc-x64.exe\r
- set excludes=%excludes% --exclude=/bin64\r
- goto endbit\r
-:endbit\r
-\r
-for %%f in (*.exe *.dll) do copy /b %%f %TEMP%\xonotic-rsync-updater\\r
-%TEMP%\xonotic-rsync-updater\rsync %options% %excludes% %url% %target%\r
-%TEMP%\xonotic-rsync-updater\chmod -R a+x %target%\r
-\r
-:end\r
-pause\r
-rmdir /s /q %TEMP%\xonotic-rsync-updater\r
+++ /dev/null
-#!/bin/sh
-
-if [ -d "${0%/*}" ]; then
- cd "${0%/*}"
-fi
-
-if ! which rsync >/dev/null; then
- echo >&2 "FATAL: rsync not found, please install the rsync package"
- exit 1
-fi
-
-options="-Prtzil --executability --delete-after --delete-excluded --stats"
-
-if [ -d "Xonotic-low" ]; then
- url="rsync://beta.xonotic.org/autobuild-Xonotic-low/"
- target="Xonotic-low/"
-elif [ -d "Xonotic-high" ]; then
- url="rsync://beta.xonotic.org/autobuild-Xonotic-high/"
- target="Xonotic-high/"
-elif [ -d "../../../.git" ]; then
- echo >&2 "NOTE: this is a git repository download. Using the regular update method."
- exec ../../../all update
-elif [ -d "../../../data" ]; then
- if [ -f ../../../data/xonotic-rsync-data-low.pk3 ]; then
- url="rsync://beta.xonotic.org/autobuild-Xonotic-low/"
- elif [ -f ../../../data/xonotic-*-data-low.pk3 ]; then
- url="rsync://beta.xonotic.org/autobuild-Xonotic-low/"
- options="$options -y" # use fuzzy matching because file names differ
- elif [ -f ../../../data/xonotic-rsync-data-high.pk3 ]; then
- url="rsync://beta.xonotic.org/autobuild-Xonotic-high/"
- elif [ -f ../../../data/xonotic-*-data-high.pk3 ]; then
- url="rsync://beta.xonotic.org/autobuild-Xonotic-high/"
- options="$options -y" # use fuzzy matching because file names differ
- elif [ -f ../../../data/xonotic-rsync-data.pk3 ]; then
- url="rsync://beta.xonotic.org/autobuild-Xonotic/"
- elif [ -f ../../../data/xonotic-*-data.pk3 ]; then
- url="rsync://beta.xonotic.org/autobuild-Xonotic/"
- options="$options -y" # use fuzzy matching because file names differ
- else
- echo >&2 "FATAL: unrecognized Xonotic build. This update script cannot be used."
- exit 1
- fi
- target="../../.."
-else
- url="rsync://beta.xonotic.org/autobuild-Xonotic/"
- target="Xonotic/"
-fi
-
-excludes=
-if [ -z "$XONOTIC_INCLUDE_ALL" ]; then
- excludes="$excludes --exclude=/*.exe"
- excludes="$excludes --exclude=/fteqcc/*.exe"
- excludes="$excludes --exclude=/bin32"
- excludes="$excludes --exclude=/*.dll"
- excludes="$excludes --exclude=/bin64"
-
- case `uname`:`uname -m` in
- Darwin:*)
- excludes="$excludes --exclude=/xonotic-linux*"
- excludes="$excludes --exclude=/fteqcc/fteqcc.linux*"
- ;;
- Linux:x86_64)
- excludes="$excludes --exclude=/Xonotic*.app"
- excludes="$excludes --exclude=/xonotic-osx-*"
- excludes="$excludes --exclude=/fteqcc/fteqcc.osx"
- if [ -z "$XONOTIC_INCLUDE_32BIT" ]; then
- excludes="$excludes --exclude=/xonotic-linux32-*"
- excludes="$excludes --exclude=/fteqcc/fteqcc.linux32"
- fi
- ;;
- Linux:i?86)
- excludes="$excludes --exclude=/Xonotic*.app"
- excludes="$excludes --exclude=/xonotic-osx-*"
- excludes="$excludes --exclude=/fteqcc/fteqcc.osx"
- excludes="$excludes --exclude=/xonotic-linux64-*"
- excludes="$excludes --exclude=/fteqcc/fteqcc.linux64"
- ;;
- *)
- echo >&2 "WARNING: Could not detect architecture - downloading all architectures"
- ;;
- esac
-fi
-
-rsync $options $excludes "$url" "$target"